#
# spec file for package yast2-ldap-client (Version 2.13.33)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-ldap-client
Version:        2.13.33
Release:        0.4.349
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-ldap-client-2.13.33.tar.bz2
Prefix:         /usr
BuildRequires:  doxygen perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-network yast2-pam yast2-testsuite
PreReq:         %fillup_prereq
Requires:       yast2 yast2-ldap yast2-slp yast2-network
# Pam.ycp
Requires:       yast2-pam >= 2.13.5
Provides:       yast2-config-ldap_client
Obsoletes:      yast2-config-ldap_client
Provides:       yast2-trans-ldap_client
Obsoletes:      yast2-trans-ldap_client
BuildArch:      noarch
Summary:        YaST2 - LDAP Client Configuration

%description
With this YaST2 module you can configure an LDAP client so that an
OpenLDAP server will be used for user authentication.



Authors:
--------
    Thorsten Kukuk <kukuk@suse.de>
    Jiri Suchomel <jsuchome@suse.cz>

%prep
%setup -n yast2-ldap-client-2.13.33

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
%{fillup_only -n ldap}

%files
%defattr(-,root,root)
%{prefix}/share/applications/YaST2/ldap.desktop
%{prefix}/share/applications/YaST2/ldap_browser.desktop
%dir /usr/share/YaST2/include/ldap
/usr/share/YaST2/include/ldap/*
/usr/share/YaST2/modules/Ldap.y*
/usr/share/YaST2/modules/LdapPopup.y*
/usr/share/YaST2/clients/ldap*.ycp
/usr/share/YaST2/scrconf/*.scr
/usr/share/YaST2/schema/autoyast/rnc/ldap_client.rnc
%doc %{prefix}/share/doc/packages/yast2-ldap-client
/var/adm/fillup-templates/sysconfig.ldap

%changelog
* Wed Feb 11 2009 jsuchome@suse.cz
- show port in the server field, read the data if there were
  not read yet (patch from L3 team, bnc#464203)
- 2.13.33
* Wed Feb 20 2008 jsuchome@suse.cz
- allow more spaces as host name separators (bnc#362946)
- 2.13.32
* Tue Feb 19 2008 jsuchome@suse.cz
- do not export nss_base_* when they are same as base DN (#362120)
- 2.13.31
* Tue Feb  5 2008 jsuchome@suse.cz
- enable setting TLS status for LDAP browser (bnc#329779)
- 2.13.30
* Thu Jan 31 2008 jsuchome@suse.cz
- correctly update nss_base_* values when base DN was changed,
  do not write when the values are same as base DN (#342727)
- restart zmd only if installed
- 2.13.29
* Thu Aug  2 2007 jsuchome@suse.cz
- do not reinitialize LDAP connection when not needed (#296284)
- 2.13.28
* Fri Jan 12 2007 jsuchome@suse.cz
- dialog for editing PasswordPolicy settings (F301179)
- 2.13.27
* Tue Dec  5 2006 jsuchome@suse.cz
- install necessary packages during autoainstallation (#226040)
- 2.13.26
* Mon Nov 13 2006 jsuchome@suse.cz
- save tls_checkpeer value to /etc/ldap.conf (#217701)
- 2.13.25
* Fri Oct 27 2006 jsuchome@suse.cz
- LDAP Browser: enable running as non-root,
  disable autoYaST support (#215671)
- 2.13.24
* Thu Oct 26 2006 jsuchome@suse.cz
- added schema name to desktop file (#215249)
- 2.13.23
* Thu Oct 26 2006 jsuchome@suse.cz
- schema file moved from autoyast package (#215249)
- 2.13.22
* Fri Sep  8 2006 jsuchome@suse.cz
- write +/- lines also to /etc/shadow (#204362)
- 2.13.21
* Wed Jul 26 2006 jsuchome@suse.cz
- allow setting of pam_mkhomedir in /etc/pam.d/commond-session (#190330)
- 2.13.20
* Wed Jul 12 2006 jsuchome@suse.cz
- new icon for LDAP Browser (#188165)
- do not show popup about reboot during installation (#167959)
- use DNS::IsHostLocal to check for localhost (#189675)
- 2.13.19
* Fri Jun 23 2006 jsuchome@suse.cz
- added desktop file for LDAP Browser (F110039)
- code10 cleanup: removed find, validation for server address, testsuite
- 2.13.18
* Thu Jun 22 2006 jsuchome@suse.cz
- restart also zmd if running (#174589)
- 2.13.17
* Tue Jun 20 2006 jsuchome@suse.cz
- restart D-BUS after nscd (#174589)
- 2.13.16
* Wed May 24 2006 jsuchome@suse.cz
- do not reinitialize existing connection for browsing LDAP (#178309)
- 2.13.15
* Fri May 19 2006 ug@suse.de
- fixed desktop file for cloning process (#177082)
- 2.13.14
* Thu Apr 20 2006 jsuchome@suse.cz
- allow more characters (this time "-") for host name (#167991)
- 2.13.13
* Wed Apr 12 2006 jsuchome@suse.cz
- fixed installing architecture-specific packages (#164313)
- 2.13.12
* Fri Mar 31 2006 jsuchome@suse.cz
- restrict the set of characters allowed for host names (#159741)
- 2.13.11
* Thu Mar  9 2006 jsuchome@suse.cz
- merged proofread texts
- 2.13.10
* Mon Feb 20 2006 jsuchome@suse.cz
- reduced BuildRequires
- 2.13.9
* Tue Jan 31 2006 jsuchome@suse.cz
- save changes of pam_password value (#146942)
- 2.13.8
* Fri Jan 27 2006 jsuchome@suse.cz
- merged proofread texts
- 2.13.7
* Tue Jan 10 2006 jsuchome@suse.cz
- added simple LDAP browser and editor (F110039)
- 2.13.6
* Mon Dec 19 2005 jsuchome@suse.cz
- merged proofread texts
- 2.13.5
* Tue Dec  6 2005 jsuchome@suse.cz
- backport the functionality from SLES9 to support SLES10:
  - do not alter pam and nss settings on OES (#suse46396)
  - set permissions for new objects in eDirectory (#suse47579)
  - create LDAP object in correct order (#suse46398)
  - save "nds" as value for pam_password when eDirectory (#suse46396)
  - do not reininitialize settings set from outside (#suse45898)
- do not show the error popup if asking for NDS fails (#132909)
- 2.13.4
* Tue Dec  6 2005 jsuchome@suse.cz
- 'search' is builtin now (do not use it as identificator)
- 2.13.3
* Tue Nov 29 2005 jsuchome@suse.cz
- added check for tointeger output (which is fixed: #115560)
- 2.13.2
* Tue Oct  4 2005 jsuchome@suse.cz
- "Append Base DN" checkbox for admin DN entry (#93500)
- 2.13.1
* Tue Sep 27 2005 jsuchome@suse.cz
- do not write pam_filter value when it is present (#118779)
- add missing comments for translators
- 2.13.0
* Mon Aug 15 2005 jsuchome@suse.cz
- fixed shortcuts in texts
- merged texts from proofreading
- 2.12.9
* Wed Aug 10 2005 jsuchome@suse.cz
- show error message when fetching DN fails (#102311)
- remove "nis" values from new services (#100205)
- 2.12.8
* Thu Aug  4 2005 jsuchome@suse.cz
- update also "services", "netgroup" and "aliases" entries (#100205)
- 2.12.7
* Mon Aug  1 2005 jsuchome@suse.cz
- added Browse buttons for nss_map_* entries
- 2.12.6
* Thu Jul 28 2005 jsuchome@suse.cz
- updated desktop file
- merged texts from proofreading
- 2.12.5
* Tue Jul 12 2005 jsuchome@suse.cz
- install autofs by default (not autofs4) - bug #95970
- 2.12.4
* Fri Jul  1 2005 jsuchome@suse.cz
- UI restructuralization:
    use tabs in Advanced dialog, add expert settings for client
    move "disable login" checkbox out to the first dialog
- 2.12.3
* Thu Apr 28 2005 jsuchome@suse.cz
- show admin's DN when asking for password (#76394)
- 2.12.2
* Tue Apr 26 2005 jsuchome@suse.cz
- adapt testsuite for changes in Autologin.ycp
- 2.12.1
* Fri Apr  1 2005 jsuchome@suse.cz
- unified server searching popup (#66591)
- do not Change Widget when it is disabled
- 2.12.0
* Thu Mar 10 2005 jsuchome@suse.cz
- fixed typo in summary text
* Thu Mar  3 2005 jsuchome@suse.cz
- do not default to 'always start' when called from users
- initialize /etc/passwd when writing during autoinstallation (#65858)
* Fri Feb 18 2005 jsuchome@suse.cz
- enable setting of autofs in autoyast
- install autofs4 by default (not autofs) - bug #50871
- do not access LDAP server during autoinstallation
- 2.11.9
* Mon Feb  7 2005 jsuchome@suse.cz
- fixed saving during autoinstallation (#50535)
- merged texts from proofreading
- 2.11.8
* Mon Jan 31 2005 jsuchome@suse.cz
- install also architecture-specific packages (#49808)
- 2.11.7
* Fri Jan 21 2005 jsuchome@suse.cz
- detect configuration Kerberos client and offer conflict resolution
  (#49894)
- 2.11.6
* Thu Jan  6 2005 jsuchome@suse.cz
- read server name before asking for password
- do not treat "cn" attribute as single valued automatically
- before saving, show message recommending restart of machine (#45000)
- enable choosing LDAP server from SLP results
- 2.11.5
* Wed Dec 15 2004 jsuchome@suse.cz
- do not show Abort button in 'pseudo-popups'
- do not ask for 'Abort Installation' when called from users
- use Progress::set instead of on/off
- 2.11.4
* Tue Dec 14 2004 jsuchome@suse.cz
- added 'Fetch DN' button
* Tue Dec  7 2004 jsuchome@suse.cz
- show the name of LDAP server we want to connect to (#48538)
- do not ignore the changes when going back in installation sequence
- save changes done via command-line interface (#48339)
- 2.11.3
* Fri Nov  5 2004 jsuchome@suse.cz
- 2.11.2
* Wed Nov  3 2004 jsuchome@suse.cz
- replaced select's by brackets
* Tue Nov  2 2004 jsuchome@suse.cz
- ask for restarting sshd (better fix for #45000)
- 2.11.1
* Fri Oct 29 2004 jsuchome@suse.cz
- adapted for new Mode:: interface
- 2.11.0
* Wed Sep 29 2004 jsuchome@suse.cz
- show an error popup when packages cannot be installed (#45356)
- 2.10.7
* Thu Sep 23 2004 jsuchome@suse.cz
- restart sshd if ldap wasn't configured before (#45000)
- 2.10.6
* Mon Sep  6 2004 jsuchome@suse.cz
- now also build with added Get/SetModified calls in _auto client
- 2.10.5
* Mon Aug 30 2004 jsuchome@suse.cz
- Added GetModified function to _auto client (nashif)
- 2.10.4
* Fri Aug 13 2004 jsuchome@suse.cz
- browse popup: return "" on cancel
- 2.10.3
* Tue Aug 10 2004 jsuchome@suse.cz
- merged proofread texts
* Wed Aug  4 2004 jsuchome@suse.cz
- call Browse widget also from modules & template configuration
- changed LdapPopup::EditAttribute interface
- 2.10.2
* Wed Jul 28 2004 jsuchome@suse.cz
- enhanced helptext for "Create LDAP objects" checkbox (#41077)
* Tue Jul 27 2004 jsuchome@suse.cz
- use Message module for common messages
- use Package module instead of Require
- yast2-packager is not required
- 2.10.1
* Thu Jul 15 2004 jsuchome@suse.cz
- install pam related packages at the and and only when LDAP is
  chosen for authentication
- offer available attributes in template configuration dialog
* Wed Jul 14 2004 jsuchome@suse.cz
- first version of browse popup
- GetRequiredAttributes now gets attributes also from superior classes
* Mon Jul 12 2004 jsuchome@suse.cz
- used Nsswitch module for handling /etc/nsswitch.conf
- yast2-network is not required now
* Mon Jun 28 2004 jsuchome@suse.cz
- updated for current yast2-pam usage
- 2.10.0
* Wed May 26 2004 jsuchome@suse.cz
- write nss_map_attribute even if it is not present in ldap.conf (#41212)
- use the correct case (uniqueMember, not uniquemember)
- 2.9.23
* Mon May 24 2004 jsuchome@suse.cz
- save the settings also when LDAP authentication is disabled (#41079)
- 2.9.22
* Thu May 20 2004 jsuchome@suse.cz
- "Configure Template" is PushButton, not MenuButton (#40919)
- take care for uppercase in DN (#40919)
- 2.9.21
* Wed May 19 2004 jsuchome@suse.cz
- only "Enable LDAP" is available during installation (#40844)
- during write, exit on initialization error and don't try to continue (#40844)
* Tue May 18 2004 jsuchome@suse.cz
- do not ask for password when 'anonymous' is set from outside
- work correcly with +/- lines in /etc/passswd (#40571)
- 2.9.20
* Thu May 13 2004 jsuchome@suse.cz
- create LDAP configuration objects automatically (#40484)
- adapted help text for the new checkbox
- 2.9.19
* Wed May 12 2004 jsuchome@suse.cz
- fix of renaming LDAP objects (#40420)
- enable creating configuration object in LDAP without popups (#40366)
- 2.9.18
* Thu May  6 2004 jsuchome@suse.cz
- do not use unencrypted connection if TLS is set (#37393)
* Wed May  5 2004 jsuchome@suse.cz
- enable setting the password from outside (during installation: #39901)
* Wed May  5 2004 jsuchome@suse.cz
- do not discard LDAP configuration without asking (#39908)
- 2.9.17
* Tue May  4 2004 jsuchome@suse.cz
- merged in proofread text
* Tue Apr 27 2004 jsuchome@suse.cz
- enabled configuration of LDAP client without using LDAP for authentication
- possibility to show initial values proposed from outside (Ldap::SetDefaults)
- 2.9.16
* Wed Apr 21 2004 jsuchome@suse.cz
- fix of testsuite, failing in build
- 2.9.15
* Tue Apr 20 2004 jsuchome@suse.cz
- on LDAP error, show also additional message produced by server (#38668)
* Mon Apr  5 2004 jsuchome@suse.cz
- fix: really write /etc/sysconfig/ldap (#38249)
- correctly update nss_base_* values (#37711)
- 2.9.14
* Fri Apr  2 2004 jsuchome@suse.cz
- changed license to GPL
- 2.9.13
* Wed Mar 31 2004 jsuchome@suse.cz
- fix of #37665: save pam_filter to /etc/ldap.conf
* Wed Mar 31 2004 jsuchome@suse.cz
- fix of #37664: group support (write +::: to /etc/group)
* Tue Mar 30 2004 jsuchome@suse.cz
- set TLS_REQCERT value if TLS should be started (#37393)
- 2.9.12
* Fri Mar 26 2004 jsuchome@suse.cz
- show warning when user enables LDAP client, while NIS client is in use
  (#36981)
- 2.9.11
* Thu Mar 25 2004 jsuchome@suse.cz
- do not check 'defaultObjectClass' attribute (not present now)
- more lowercase conversions
- adapted testsuite
- 2.9.10
* Wed Mar 24 2004 jsuchome@suse.cz
- new attribute names for user/group LDAP configuration ('suse' prefix)
* Mon Mar 22 2004 jsuchome@suse.cz
- use lowercase LDAP attribute names
- 2.9.9
* Mon Mar 15 2004 jsuchome@suse.cz
- build fix
- new defaults according to new LDAP user/group schemas
* Fri Mar 12 2004 jsuchome@suse.cz
- updated helptext
* Thu Mar 11 2004 jsuchome@suse.cz
- set icon also for ldap_config client
* Wed Mar 10 2004 jsuchome@suse.cz
- NFB: no need of yast2-installation
- agent for ldap.conf now handles non-unique keys
- save member attribute to /etc/ldap.conf
- enable/disable LDAP users to login by adding + lines to /etc/passwd
  (passwd-agent from yast2-pam>=2.9.5 necessary)
- 2.9.8
* Wed Mar 10 2004 nashif@suse.de
- adapt for new wizard
* Mon Mar  8 2004 jsuchome@suse.cz
- set wizard icon
* Mon Mar  8 2004 jsuchome@suse.cz
- added yast2-installation to needed for build
- more type informations
- 2.9.6
* Thu Mar  4 2004 jsuchome@suse.cz
- corectly check for required attributes of created LDAP objects
* Tue Mar  2 2004 jsuchome@suse.cz
- new standalone client for LDAP management
- 2.9.5
* Mon Mar  1 2004 jsuchome@suse.cz
- typing of lists/maps
* Mon Mar  1 2004 jsuchome@suse.cz
- merged texts from proofread
* Tue Feb 24 2004 jsuchome@suse.cz
- enabled start of automounter
- 2.9.4
* Fri Feb 20 2004 jsuchome@suse.cz
- again: force write of ldap.conf
- do not forget to read autologin settings
* Fri Feb 13 2004 jsuchome@suse.cz
- force write of ldap.conf
- 2.9.3
* Tue Feb 10 2004 jsuchome@suse.cz
- change some return values: error messages, not boolean
* Mon Feb  9 2004 jsuchome@suse.cz
- API for setting global variables (e.g. password)
* Mon Feb  2 2004 jsuchome@suse.cz
- fixed testsuite
- 2.9.2
* Mon Dec  1 2003 jsuchome@suse.cz
- syntax fixes for new interpreter (abort block back again)
* Fri Nov 28 2003 jsuchome@suse.cz
- syntax fixes for new interpreter
- template configuration:
  check if structural object class is included in list of default classes
- 2.9.1
* Wed Oct  1 2003 jsuchome@suse.cz
- adapted to new Autologin interface
- 2.9.0
* Tue Sep 23 2003 jsuchome@suse.cz
- disable autologin when LDAP is enabled (#31470)
- 2.8.12
* Sun Sep 14 2003 adrian@suse.de
- make it working inside of kcontrol
* Tue Sep  9 2003 nashif@suse.de
- #30291: return required packages for autoinstallation
* Fri Sep  5 2003 jsuchome@suse.cz
- merged in proofread texts
* Tue Sep  2 2003 jsuchome@suse.cz
- added check for allowed object classes in "defaultObjectClass"
  template entry
- Abort Installation button during installation
* Tue Sep  2 2003 jsuchome@suse.cz
- basic command-line interface (+ new texts)
- 2.8.9
* Mon Sep  1 2003 jsuchome@suse.cz
- added test for object class existence
- 2.8.8
* Mon Sep  1 2003 arvin@suse.de
- use Popup::ConfirmAbort
* Fri Aug 29 2003 jsuchome@suse.de
- write basic settings also to /etc/openldap/ldap.conf (#29514)
- 2.8.7
* Fri Aug 22 2003 jsuchome@suse.cz
- Add variable for required packages and return them in auto client
- added testsuite
* Wed Aug 20 2003 jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.6
* Fri Aug 15 2003 jsuchome@suse.cz
- added default value for nextUniqueId (configuration on LDAP server)
* Thu Aug 14 2003 jsuchome@suse.de
- removed confirmation popup (#28729)
* Wed Aug 13 2003 jsuchome@suse.de
- updated Import/Export functions
* Tue Aug 12 2003 nashif@suse.de
- Call sequence for autoinstallation
- 2.8.5
* Mon Aug 11 2003 jsuchome@suse.de
- proofread texts, 1st round
- 2.8.4
* Wed Aug  6 2003 jsuchome@suse.de
- removed agent for editing /etc/cpu.conf
* Mon Aug  4 2003 jsuchome@suse.de
- added .desktop file
* Thu Jul 17 2003 jsuchome@suse.de
- updated to new PamSettings interface
* Tue Jul 15 2003 jsuchome@suse.de
- bind DN and config base DN stored in /etc/sysconfig/ldap
* Mon Jul 14 2003 jsuchome@suse.de
- used /etc/ldap.conf instead of /etc/openldap/ldap.conf to store
  confiuration
* Thu Jul 10 2003 jsuchome@suse.de
- added ShortSummary()
* Tue Jul  8 2003 nashif@suse.de
- Read /etc/nsswitch.conf before writing configuration in autoinst
  mode
* Wed Jul  2 2003 jsuchome@suse.de
- LdapPopup module offers edit-popups outside (e.g. for users-module)
- added helptexts
* Fri Jun 27 2003 jsuchome@suse.de
- read schema description from server
- create default values for new entries (config modules or templates)
  in LDAP directory
- unified popups for attributes modifications
- added sysconfig file
- 2.8.3
* Fri Jun 20 2003 jsuchome@suse.de
- even newer workflow - for various configuration on LDAP server
- using new ldap agent for accesing server
- 2.8.2
* Tue May  6 2003 jsuchome@suse.de
- new workflow for users and groups settings
- removed cpu usage
- 2.8.1
* Thu Mar 20 2003 kukuk@suse.de
- Use example.com as example domain name.
* Wed Mar 12 2003 kukuk@suse.de
- Force writing of config files [Bug #25143]
- Fix typo in reading ldap.conf
* Mon Mar  3 2003 jsuchome@suse.de
- merged proofreaded texts
* Thu Feb 20 2003 kukuk@suse.de
- Write "pam_password crypt" if entry does not exists
- Write nss_* variables in ldap.conf only if cpu is configured
  (Patch by Jiri Suchomel)
- Release 2.7.5
* Wed Feb 19 2003 jsuchome@suse.de
- Enable only starting service if run during the installation (#23831)
* Tue Feb 18 2003 mvidner@suse.de
- Preselect to start the service if run during the installation
  (from the user module, #23733).
* Sat Feb 15 2003 kukuk@suse.de
- Use "example" instead of "mydomain" as domainname in help text.
- Add hint, that LDAP server addresses must be resolvealbe without
  using LDAP. Else we will end in an endless loop.
* Thu Feb 13 2003 jsuchome@suse.de
- 'Next' instead of 'Finish' when Mode::cont is true
* Wed Feb 12 2003 kukuk@suse.de
- Set ssl to "no" if no "start_tls" is selected.
* Thu Feb  6 2003 jsuchome@suse.de
- merged proofreaded texts
* Wed Feb  5 2003 jsuchome@suse.de
- added return value of client (for installation usage)
- corrected helptext
- 2.7.3
* Wed Jan 29 2003 jsuchome@suse.cz
- merged proofreaded texts
* Wed Jan 22 2003 jsuchome@suse.cz
- fix: multiple "ldap" string in /etc/nsswitch.conf
- saving user and group base to /etc/openldap/ldap.conf
- 2.7.2
* Wed Jan 15 2003 jsuchome@suse.cz
- helptexts for cpu_configure dialog
- proposing values for cpu.cfg
- 2.7.1
* Tue Jan 14 2003 jsuchome@suse.cz
- added agent and dialog for /etc/cpu.cfg handling
- check if passwd key in nsswitch.conf is not empty
* Tue Dec 17 2002 jsuchome@suse.de
- do not remove nis/compat values from /etc/nsswitch.conf
* Tue Aug 27 2002 jsuchome@suse.cz
- provide/obsolete old translation packages
* Thu Aug 15 2002 jsuchome@suse.cz
- Merged proofread texts for the second translation round.
* Fri Jul 26 2002 kukuk@suse.de
- Remove yast2-runlevel from requires
* Mon Jul 22 2002 kukuk@suse.de
- merged proofread texts
- check, that base DN and server addresses are not empty
- allow more than one LDAP server addresses
- release version 2.6.3
* Fri Jul 12 2002 arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Sun Jul  7 2002 nashif@suse.de
- build with new devtools
- 2.6.2
* Mon Jul  1 2002 msvec@suse.cz
- 2.6.1
* Fri Jun 28 2002 msvec@suse.cz
- renamed to yast2-ldap-client
- fixes for new paths and devtools
* Fri Apr  5 2002 kukuk@suse.de
- Merge with 8.0 branch
- Add support for "start_tls" option in ldap.conf
- Version 2.6.0
* Thu Mar 14 2002 pblahos@suse.cz
- Fixed textdomain to "ldap_client" which matches to translation
  package [Bug #14979]
- Version 2.5.5
* Thu Feb 21 2002 kukuk@suse.de
- Check if entries exist in config file [Bug #13712]
- Replace checkIP with check_ip4
- Version 2.5.4
* Thu Feb  7 2002 kukuk@suse.de
- Allow setting of LDAP protocol version [Bug #12503]
- Add ldap_conf.scr
- Version 2.5.3
* Mon Jan 28 2002 nashif@suse.de
- WriteOnly() for autoinstall
- Fixed cofnig file read
- 2.5.2
* Tue Jan  8 2002 nashif@suse.de
- use y2tool
- removed icon to y2m_menu
- new module Ldapclient
- added _auto.ycp for auto-installation
* Fri Sep 21 2001 kukuk@suse.de
- Add icon to filelist ...
- Fix typo (now nscd will be restarted)
- Add missing translation hooks
- Don't save data if nothing is changed
* Wed Sep 19 2001 kukuk@suse.de
- Add icon for YCC
* Thu Sep  6 2001 kukuk@suse.de
- Restart nscd after changing nsswitch.conf
* Wed Aug 22 2001 kukuk@suse.de
- Use new agent for reading/writing config files, fix typo in label
* Tue Aug 21 2001 kukuk@suse.de
- Check for necessary packages before we write new configuration
* Sat Aug 18 2001 kukuk@suse.de
- Initial release
